<div class="navbar">
  <a [routerLink]="['home']" routerLinkActive="active">Home</a>
  <a [routerLink]="['about']" routerLinkActive="active">About</a>
  <a [routerLink]="['enemigos']" routerLinkActive="active">Enemigos</a>

  <div class="search-conteiner">
    <input type="text" id="search" placeholder="Buscar..." #buscarTexto (keyup.enter)="buscarEnemigo(buscarTexto.value)">
    <button (click)="buscarEnemigo(buscarTexto.value)" type="button">Buscar</button>
  </div>
</div>